Bug 1452620 (CVE-2017-9310) - CVE-2017-9310 Qemu: net: infinite loop in e1000e NIC emulation
Summary: CVE-2017-9310 Qemu: net: infinite loop in e1000e NIC emulation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-9310
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170210,reported=2...
Depends On: 1452623 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1399516 1476084
TreeView+ depends on / blocked
 
Reported: 2017-05-19 10:58 UTC by Prasad J Pandit
Modified: 2019-06-08 22:01 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:12:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2017-05-19 10:58:41 UTC
Qemu emulator built with the e1000e NIC emulation support is vulnerable to an
infinite loop issue. It could occur while processing data via transmit or
receive descriptors, provided the initial receive/transmit descriptor
head(TDH/RDH) is set outside the allocated descriptor buffer.

A privileged user inside guest could use this flaw to crash the Qemu instance
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=4154c7e03fa55b4cf52509a83d50d6c09d743b7

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/05/31/1

Comment 1 Prasad J Pandit 2017-05-19 10:59:17 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)

Comment 2 Prasad J Pandit 2017-05-19 11:08:45 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1452623]

Comment 3 Fedora Update System 2017-07-25 21:26:49 UTC
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2017-08-02 01:01:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 7 errata-xmlrpc 2017-08-02 04:49:49 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.